From e29ff080ba2f712522e42ebb8cbdafc934e40f04 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Sun, 2 Oct 2022 10:36:55 -0700
Subject: [PATCH v3 2/2] Fix log file names used in tests

---
 src/bin/pg_rewind/t/001_basic.pl              | 4 ++--
 src/bin/pg_rewind/t/008_min_recovery_point.pl | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/bin/pg_rewind/t/001_basic.pl b/src/bin/pg_rewind/t/001_basic.pl
index 7caff1c0296..cad6cf5b43a 100644
--- a/src/bin/pg_rewind/t/001_basic.pl
+++ b/src/bin/pg_rewind/t/001_basic.pl
@@ -179,10 +179,10 @@ in primary, before promotion
 
 	# Read logs produced by pg_rewind
 	my $log_file_name =
-		"$PostgreSQL::Test::Utils::tmp_check/log/regress_log_001_basic";
+		"$PostgreSQL::Test::Utils::log_path/regress_log_001_basic";
 	my $pg_rewind_logs = do {
 		local $/ = undef;
-		open(my $log_file, '<', $log_file_name) || die;
+		open(my $log_file, '<', $log_file_name) || die "could not open $log_file_name: $!";
 		<$log_file>;
 	};
 
diff --git a/src/bin/pg_rewind/t/008_min_recovery_point.pl b/src/bin/pg_rewind/t/008_min_recovery_point.pl
index 204ec107382..deb7d00e3fa 100644
--- a/src/bin/pg_rewind/t/008_min_recovery_point.pl
+++ b/src/bin/pg_rewind/t/008_min_recovery_point.pl
@@ -176,10 +176,10 @@ is($result, qq(in both), 'table bar after rewind');
 
 # Read logs produced by pg_rewind
 my $log_file_name =
-    "$PostgreSQL::Test::Utils::tmp_check/log/regress_log_008_min_recovery_point";
+    "$PostgreSQL::Test::Utils::log_path/regress_log_008_min_recovery_point";
 my $pg_rewind_logs = do {
 	local $/ = undef;
-	open(my $log_file, '<', $log_file_name) || die;
+	open(my $log_file, '<', $log_file_name) || die "could not open $log_file_name: $!";
 	<$log_file>;
 };
 
-- 
2.37.3.542.gdd3f6c4cae

